読者です 読者をやめる 読者になる 読者になる

「データベース 'XXX' のバージョンは 661 なので、開けません」というエラー

SQL Server 2008 R2のデータファイル(*.mdf)を、以前のバージョン(2008 SP2や2005等)のSQL Serverにアタッチしようとすると「データベース 'XXX' のバージョンは 661 なので、開けません。このサーバーではバージョン 662 以前がサポートされます。このダウングレード パスはサポートされません。」というエラーメッセージが表示されます。
対応としては、新しいバージョンのSQL Serverを入れるか、デタッチする前に互換性レベルを下げておく必要あります。「662以前がサポートされます」というエラーメッセージは少し変なような。。